<ion-header>
    <ion-navbar color="primary">
      <ion-title>Collections</ion-title>
      <ion-buttons end>
          <button ion-button icon-only (click)="filters()"><ion-icon name="ios-funnel-outline"></ion-icon></button>
      </ion-buttons>
    </ion-navbar>
    <ion-navbar>
      <ion-item no-lines>
        <ion-label>Apply Filters</ion-label>
        <ion-toggle [(ngModel)]="applyFilter" (ionChange)="getCollections()"></ion-toggle>
      </ion-item>
    </ion-navbar>
  </ion-header>
  
  <ion-content>
    <div *ngIf="hasLoaded">    
    
      <ion-card *ngFor="let collection of collections" (click)="openDetail(collection)">
        <ion-card-header>{{collection.customer}}</ion-card-header>
        <ion-card-content>
            <p><ion-icon name="ios-person-outline" item-start></ion-icon> {{collection.collector_name}}</p>            
            <p *ngIf="collection.collection_date != -28800000"><ion-icon name="time" item-start></ion-icon> {{collection.collection_date | date:'MMM dd, yyyy HH:mm'}}</p>
            <p *ngIf="collection.photos"><ion-icon name="ios-photos-outline" item-start></ion-icon> {{collection.photos.length}} photos</p>
            <p *ngIf="isAdmin && collection.location && collection.location.latitude !== 0"><ion-icon name="ios-pin-outline" item-start></ion-icon> <span class="view-location" (click)="viewLocation(collection, $event)">View Location</span></p>
        </ion-card-content>
      </ion-card>
    </div>
  
    <div class="skeleton" *ngIf="!hasLoaded">
      <div class="card">
        <div class="name"></div>
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
      </div>
      <div class="card">
        <div class="name"></div>
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
      </div>
    </div>
  </ion-content>
  
  <button ion-fab class="fab-button" (click)="add()">
      <ion-icon name="add"></ion-icon>
  </button>